/*jslint devel: true, node: true, bitwise: false, debug: false, eqeq: false,
evil: false, forin: false, newcap: false, nomen: false, plusplus: false,
regexp: false, sub: false, vars: false, undef: false, unused: false,
white: false, quotmark: single, indent: 2, maxlen: 80 */

/*global $, Alloy, alert, Ti, OS_ANDROID, OS_IOS, _, Backbone*/

'use strict';

var calculations = require('Calculations');

var newDate = new Date(),
calculatorAttributes = Ti.App.Properties.getObject('calculatorAttributes',
{
  // Mortgages
  homePrice: 150000,                // Home Price (Dollar Amount)
  downPaymentRate: 20,              // Down Payment Rate (Percentage Rate)
  loanAmount: 120000,               // Loan Amount(Dollar Amount)
  mortgageTerm: 30,                 // Period in Years
  interestRate: 4.5,                // Percentage Rate

  // Mortgage Refinance
  startDate: {
    month: (newDate).getMonth(),
    year: (newDate).getFullYear()
  },
  newLoanAmount: 120000,
  newMortgageTerm: 25,
  newInterestRate: 4.0,
  refinancingCost: 0,
  rollRefinancingCost: false,
  cashOut: 0,

  // Rent Or Buy
  taxBracket: 0,
  propertyTaxRate: 0,
  appreciationRate: 5.0,
  buyClosingCostRate: 0,
  salesClosingCostRate: 0,
  homeInsurance: 50,
  monthlyRent: 800,
  homeInsuranceRate: 5.0,

  // Fixed Or Adjustable
  initialInterestRate: 4.5,
  minimumInterestRate: 3.0,
  maximumInterestRate: 5.0,
  adjustmentRate: 4.5,
  adjustmentPeriod: 0.5,
  firstAdjustmentPeriod: 0.5
});

exports.getAttributes = function () {

  return calculatorAttributes;
};

exports.setAttributes = function (options) {
  calculatorAttributes = _.extend(calculatorAttributes, options);

  Ti.App.Properties.setObject('calculatorAttributes', calculatorAttributes);
};
