/*global $, Alloy, alert, Ti, OS_ANDROID, OS_IOS, _, Backbone*/

'use strict';

var scrollY = 0,
  f = require('Format'),
  d = require('Display'),
  c = require('Calculations');

exports.scrollY = function(e) {
  scrollY = c.undefinedToZero(d.nativeToDips(e.y));
};

exports.definitionModal = function(e) {

  //create the components

  var modal = Ti.UI.createWindow({
    fullscreen: true,
    backgroundColor: '#b3484848'
  });

  if (Ti.Platform.osname === 'android') {
    modal.modal = true;
    modal.navBarHidden = true;
  } else {
    modal.modal = false;
  }

  var modalContainer = Ti.UI.createView({
    left: 10,
    right: 10,
    layout: 'vertical'
  });

  var speechBubble = Ti.UI.createView({
    width: '100%',
    height: Ti.UI.SIZE,
    backgroundColor: 'white',
    borderRadius: 4,
    top: 1000
  });

  var speechBubbleContents = Ti.UI.createLabel({
    text: Ti.App.Properties.getString('definition.'+e.source.id),
    //text: "Boo",
    color: '#666666',
    top: 5,
    right: 5,
    bottom: 5,
    left: 5,
    height: Ti.UI.SIZE,
    font: {
      fontSize: 12,
      fontFamily: 'OpenSans-Light'
    }
  });

  var speechBubbleCaret = Ti.UI.createLabel({
    text: '&',
    color: 'white',
    left: 17,
    top: -2,
    font: {
      fontSize: 12,
      fontFamily: 'homes-icons'
    }
  });

  var sourceName = Ti.UI.createLabel({
    text: e.source.text,
    color: 'white',
    left: 20,
    width: '40%',
    font: {
      fontSize: 14,
      fontFamily: 'OpenSans-Light'
    }
  });

  //add components to modal 

  speechBubble.add(speechBubbleContents);
  modalContainer.add(speechBubble);
  modalContainer.add(speechBubbleCaret);
  modalContainer.add(sourceName);
  modal.add(modalContainer);

  function placeSpeechBubble() {
    speechBubble.top =
      e.source.rect.y +
      e.source.distance -
      scrollY -
      speechBubble.size.height -
      6;
  }

  speechBubbleContents.addEventListener('postlayout', placeSpeechBubble);

  modal.addEventListener('click', function(){
    modal.close();
  });

  modal.open();

};

exports.cardModal = function (e) {

  var modal = Ti.UI.createWindow({
      fullscreen: true,
      backgroundColor: '#b3484848'
    });

    if (Ti.Platform.osname === 'android') {
      modal.modal = true;
      modal.navBarHidden = true;
    } else {
      modal.modal = false;
    }

    var modalContainer = Ti.UI.createView({
      left: 10,
      right: 10,
      layout: 'vertical'
    });

    var speechBubble = Ti.UI.createView({
      width: '100%',
      height: e.source.cardHeight || 190,
      backgroundColor: 'white',
      borderRadius: 0,
      top: 1000,
      layout: 'vertical'
    });

    var speechBubbleContents = Ti.UI.createLabel({
      text: e.source.contents,
      color: '#666666',
      top: 20,
      right: 5,
      bottom: 5,
      left: 5,
      height: Ti.UI.SIZE,
      textAlign: Ti.UI.TEXT_ALIGNMENT_CENTER,
      font: {
        fontSize: 16,
        fontFamily: 'OpenSans-Light'
      }
    });

    speechBubble.add(speechBubbleContents);
    modalContainer.add(speechBubble);
    modal.add(modalContainer);

    function placeSpeechBubble() {
      speechBubble.top = 60;
    }

    speechBubble.addEventListener('postlayout', placeSpeechBubble);

    modal.addEventListener('click', function(){
      modal.close();
    });

    modal.open();



};