/*jslint devel: true, node: true, bitwise: false, debug: false, eqeq: false,
evil: false, forin: false, newcap: false, nomen: false, plusplus: false,
regexp: false, sub: false, vars: false, undef: false, unused: false,
white: false, quotmark: single, indent: 2, maxlen: 80 */

/*global $, Alloy, alert, Ti, OS_ANDROID, OS_IOS, _, Backbone*/

'use strict';

exports.number = function (value)
{
  if (!isNaN(value) && isFinite(value))
  {
    return true;
  }
  else
  {
    return false;
  }
};

exports.downPaymentRate = function (downPaymentValue) {

  if (!isNaN(downPaymentValue) && isFinite(downPaymentValue) &&
      downPaymentValue >= 0 && downPaymentValue < 100) {

    return true;
  } else {

    return false;
  }
};

exports.interestRate = function (interestValue) {

  if (!isNaN(interestValue) && isFinite(interestValue) &&
      interestValue >= 2 && interestValue < 20) {

    return true;
  } else {

    return false;
  }
};

exports.term = function (termValue) {

  if (!isNaN(termValue) && isFinite(termValue) &&
      termValue >= 5 && termValue < 40) {

    return true;
  } else {

    return false;
  }
};

exports.month = function (monthValue) {

  if (!isNaN(monthValue) && isFinite(monthValue) &&
      monthValue >= 0 && monthValue < 12) {

    return true;
  } else {

    return false;
  }
};

exports.year = function (yearValue) {
  var newDate = new Date();

  if (!isNaN(yearValue) && isFinite(yearValue) &&
    yearValue >= 1901 && yearValue < (newDate).getFullYear() + 40) {

    return true;
  } else {

    return false;
  }
};
