/*jslint devel: true, node: true, bitwise: false, debug: false, eqeq: false,
evil: false, forin: false, newcap: false, nomen: false, plusplus: false,
regexp: false, sub: false, vars: false, undef: false, unused: false,
white: false, quotmark: single, indent: 2, maxlen: 80 */

/*global $, Alloy, alert, Ti, OS_ANDROID, OS_IOS, _, Backbone*/

'use strict';

var menu = {};

// Module Functions
function openWindow(controllerName) {
  var windowControllers = {}, newWindow,
      newController = Alloy.createController(controllerName);

  windowControllers[controllerName] = newController;
  newWindow = newController.getView();

  newWindow.addEventListener('close', function closeWindow() {
    newWindow.removeEventListener('close', closeWindow);

    if (windowControllers[controllerName] === newController) {
      menu.updateMenuButton(controllerName);

      windowControllers[controllerName] = null;
    }
  });
  newWindow.open();

  return newController;
}

function init() {
  menu = openWindow('menu');
}

// Exported Functions
exports.openWindow = openWindow;
exports.init = init;
